Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.ajax
Class GetContinuationAction

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.acting.AbstractAction
              org.apache.cocoon.acting.ServiceableAction
                  org.apache.cocoon.ajax.GetContinuationAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, Disposable, Serviceable, ThreadSafe

public class GetContinuationAction
extends org.apache.cocoon.acting.ServiceableAction
implements ThreadSafe, Disposable

Get a continuation knowing its identifier, and set it as the current continuation in the object model, in the same manner as `cocoon.sendPageAndWait()` does. This action is useful when an Ajax request is made that needs to access data related to the continuation that originally displayed the current page.

The continuation id is either the `src` attribute in `<map:act>` or, if not specified, the `continuation-id` request parameter.

This action is successful if the continuation exists and is still valid.

Since:
  2.1.8
Version:
  $Id: GetContinuationAction.java 607381 2007-12-29 05:42:58Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.acting.ServiceableAction
`manager`

Fields inherited from class org.apache.cocoon.acting.AbstractAction
`EMPTY_MAP`

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`GetContinuationAction()`

Method Summary
`Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String source, Parameters parameters)`
`void` | `dispose()`
`void` | `service(ServiceManager manager)`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetContinuationAction

    public GetContinuationAction()

Method Detail

### service

    public void service(ServiceManager manager)
                 throws ServiceException

  Specified by:
    `service` in interface `Serviceable`
  Throws:
    `ServiceException`

### act

    public Map act(org.apache.cocoon.environment.Redirector redirector,
                   org.apache.cocoon.environment.SourceResolver resolver,
                   Map objectModel,
                   String source,
                   Parameters parameters)
            throws Exception

  Specified by:
    `act` in interface `org.apache.cocoon.acting.Action`
  Throws:
    `Exception`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.